Package org.apache.lucene.search.matchhighlight

# Interface MatchRegionRetriever.FieldValueProvider

All Superinterfaces:
  `Iterable<String>`

Enclosing class:
  `MatchRegionRetriever`

public static interface MatchRegionRetriever.FieldValueProvider extends Iterable<String>
Access to field values of the highlighted document. See the `MatchRegionRetriever(IndexSearcher, Query, OffsetsRetrievalStrategySupplier, Predicate, Predicate)` constructor's documentation for guidelines on which fields are available through this interface.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getValues(String field)`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, iterator, spliterator`

- ## Method Details

  - ### getValues

    List<String> getValues(String field)
    Returns:
      Return a list of values for the provided field name or `null` if the field is not loaded or does not exist for the field.